## NAME

s.surf.idw - Surface interpolation from sites data by Inverse Distance Weighted algorithm.
(GRASS Raster Program)

## SYNOPSIS

s.surf.idw input=name output=name [npoints=count] [field=value]

## DESCRIPTION

s.surf.idw fills a raster matrix with interpolated values generated from a set of irregularly spaced data points using numerical approximation (weighted averaging) techniques. The interpolated value of a cell is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex surfaces (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated surface from the data points.

This program allows the user to use a GRASS site list file, rather than a raster map layer, as input.

The program will be run non-interactively if the user specifies the values of needed program parameters and any desired optional parameter values on the command line, using the form:

  s.surf.idw input=name output=name [npoints=count] [field=value]

Alternately, the user can simply type s.surf.idw on the command line, without program arguments. In this case, the user will be prompted for needed inputs and option choices using the standard GRASS parser interface.

## OPTIONS

### Parameters:

input=name
  Name of an input site list file that contains a set of irregularly spaced data values; i.e., some cells contain known data values while the rest contain zero (0).
output=name
  Name to be assigned to the new output raster map layer containing a smooth surface generated from the known data values in the input site list file.
npoints=count
  The number of points to use for interpolation. By default, the 12 nearest points are used for interpolation.
  Default: 12
field
  Number of z-field attribute to use for calculation
  default: 1

## NOTES

The amount of memory used by this program is related to the number of non-zero data values in the input sites list file. If the input site list is very dense (i.e., contains many non-zero data points), the program may not be able to get all the memory it needs from the system. The time required to execute increases with the number of input data points.

If the user has a mask set, then interpolation is only done for those cells that fall within the mask. However, all non-zero data points in the input map are used even if they fall outside the mask.

If two or more sites fall into one target raster cell, the last site value will determine the cell value (no warning yet).

## SEE ALSO

d.sites
g.region
r.mask
r.surf.contour
r.surf.idw
r.surf.idw2
r.surf.gauss
r.surf.fractal
r.surf.random
v.surf.rst
s.surf.rst
parser

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $